﻿using EduSpider.Model.Entity;
using System.Collections.Generic;

namespace EduSpider.IRepository
{
    /// <summary>
    /// 课程评价配置详情仓储接口
    /// </summary>
    public interface ICourseCommentDetailsRepository
    {
        /// <summary>
        /// 新增修改课程评价
        /// </summary>
        /// <param name="list"></param>
        /// <returns></returns>
        public bool SetCourseCommentDetailsRepository(List<RB_Course_CommentDetails> list);

        /// <summary>
        /// 获取课程评价配置列表
        /// </summary>
        /// <param name="query"></param>
        /// <returns></returns>
        public List<RB_Course_CommentDetails> GetCourseCommentDetailsListRepository(RB_Course_Comment query);
    }
}
